Bug 566902 - libselinux update in update-testing makes systems unbootable
libselinux update in update-testing makes systems unbootable
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libselinux (Show other bugs)
12
All Linux
low Severity urgent
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
: 566941 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-20 05:02 EST by Felix Möller
Modified: 2010-03-02 21:03 EST (History)
3 users (show)

See Also:
Fixed In Version: libselinux-2.0.90-5.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-02 21:03:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of backtrace (1.49 MB, image/jpeg)
2010-02-20 05:13 EST, Felix Möller
no flags Details

  None (edit)
Description Felix Möller 2010-02-20 05:02:11 EST
Description of problem:
I have updated my system this morning with the update-testing repo enabaled, which brought a new libselinux (libselinux-2.0.90-4.fc12.i686).

With this update applied I was not able to boot my system anymore at all. All applications segfaulted. Even in init 1 I could not run ls or mount.

Booting from a LiveCD I could restore to libselinux-2.0.90-3.fc12.i686 which fixes the problem.

In addition to a not booting system, all %post scripts after installing the libselinux package failed, which might have bad effects too...
Comment 1 Felix Möller 2010-02-20 05:13:14 EST
Created attachment 395237 [details]
screenshot of backtrace
Comment 2 Felix Möller 2010-02-20 08:41:11 EST
I can reproduce this every time. 

In a live system you just have to replace the libselinux and immediately most applications will crash.

I captures the crash of su:
*** glibc detected *** su: double free or corruption (top): 0x09201000 ***
======= Backtrace: =========
/lib/libc.so.6[0x76c751]
/lib/libc.so.6(fclose+0x14a)[0x75c5ea]
/lib/libselinux.so.1(+0xbede)[0x47bede]
/lib/libselinux.so.1(+0x153cd)[0x4853cd]
/lib/libselinux.so.1(+0x3934)[0x473934]
/lib/ld-linux.so.2[0x6ea8dc]
/lib/ld-linux.so.2[0x6eaa41]
/lib/ld-linux.so.2[0x6eeb8f]
/lib/ld-linux.so.2[0x6ea506]
/lib/ld-linux.so.2[0x6ee3e3]
/lib/libdl.so.2[0x8a1c3b]
/lib/ld-linux.so.2[0x6ea506]
/lib/libdl.so.2[0x8a203c]
/lib/libdl.so.2(dlopen+0x41)[0x8a1b71]
/lib/libpam.so.0[0xdf0606]
/lib/libpam.so.0[0xdecd98]
/lib/libpam.so.0[0xded301]
/lib/libpam.so.0[0xdedc92]
/lib/libpam.so.0[0xdee0e0]
/lib/libpam.so.0(pam_start+0x276)[0xdef9c6]
su[0x804a5b2]
/lib/libc.so.6(__libc_start_main+0xe6)[0x714bb6]
su[0x80495b1]
======= Memory map: ========
00110000-0012d000 r-xp 00000000 08:04 8567       /lib/libgcc_s-4.4.3-20100127.so.1
0012d000-0012e000 rw-p 0001c000 08:04 8567       /lib/libgcc_s-4.4.3-20100127.so.1
003ed000-003f8000 r-xp 00000000 08:04 8249485    /lib/libnss_files-2.11.1.so
003f8000-003f9000 r--p 0000a000 08:04 8249485    /lib/libnss_files-2.11.1.so
003f9000-003fa000 rw-p 0000b000 08:04 8249485    /lib/libnss_files-2.11.1.so
00470000-0048c000 r-xp 00000000 08:04 13446      /lib/libselinux.so.1
0048c000-0048d000 r--p 0001b000 08:04 13446      /lib/libselinux.so.1
0048d000-0048e000 rw-p 0001c000 08:04 13446      /lib/libselinux.so.1
006dc000-006fa000 r-xp 00000000 08:04 8249407    /lib/ld-2.11.1.so
006fa000-006fb000 r--p 0001d000 08:04 8249407    /lib/ld-2.11.1.so
006fb000-006fc000 rw-p 0001e000 08:04 8249407    /lib/ld-2.11.1.so
006fe000-0086d000 r-xp 00000000 08:04 8249421    /lib/libc-2.11.1.so
0086d000-0086f000 r--p 0016e000 08:04 8249421    /lib/libc-2.11.1.so
0086f000-00870000 rw-p 00170000 08:04 8249421    /lib/libc-2.11.1.so
00870000-00873000 rw-p 00000000 00:00 0 
00875000-00877000 r-xp 00000000 08:04 8249570    /lib/libpam_misc.so.0.82.0
00877000-00878000 rw-p 00001000 08:04 8249570    /lib/libpam_misc.so.0.82.0
008a1000-008a4000 r-xp 00000000 08:04 108562     /lib/libdl-2.11.1.so
008a4000-008a5000 r--p 00002000 08:04 108562     /lib/libdl-2.11.1.so
008a5000-008a6000 rw-p 00003000 08:04 108562     /lib/libdl-2.11.1.so
00bc9000-00bdf000 r-xp 00000000 08:04 8249422    /lib/libaudit.so.1.0.0
00bdf000-00be0000 r--p 00015000 08:04 8249422    /lib/libaudit.so.1.0.0
00be0000-00be1000 rw-p 00016000 08:04 8249422    /lib/libaudit.so.1.0.0
00bf2000-00bf3000 r-xp 00000000 08:04 19696      /lib/security/pam_rootok.so
00bf3000-00bf4000 rw-p 00000000 08:04 19696      /lib/security/pam_rootok.so
00c30000-00c31000 r-xp 00000000 00:00 0          [vdso]
00de9000-00df5000 r-xp 00000000 08:04 8249480    /lib/libpam.so.0.82.1
00df5000-00df6000 rw-p 0000b000 08:04 8249480    /lib/libpam.so.0.82.1
08048000-0804f000 r-xp 00000000 08:04 9821       /bin/su
0804f000-08051000 rw-p 00006000 08:04 9821       /bin/su
091ff000-09220000 rw-p 00000000 00:00 0          [heap]
b75e9000-b77e9000 r--p 00000000 08:04 3145907    /usr/lib/locale/locale-archive
b77e9000-b77eb000 rw-p 00000000 00:00 0 
b7811000-b7813000 rw-p 00000000 00:00 0 
bfb17000-bfb2c000 rw-p 00000000 00:00 0          [stack]

The system is bootable when removing selinux=0 from the kernel commandline. But to be able to replace libselinux one has to issue "sentenforce 0" first, otherwise the file gets truncated to zero length on copying...
Comment 3 acount closed by user 2010-02-20 10:18:59 EST
*** Bug 566941 has been marked as a duplicate of this bug. ***
Comment 4 Felix Möller 2010-02-20 11:52:01 EST
The link in body to give feedback is broken for me. I.e. clicking on libselinux I am shown a konversation update...

https://admin.fedoraproject.org/updates/search/libselinux
Comment 5 Daniel Walsh 2010-02-22 11:55:38 EST
Yes that is a separate problem.

Fixed in libselinux-2.0.90-5
Comment 6 Fedora Update System 2010-02-22 11:57:18 EST
libselinux-2.0.90-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libselinux-2.0.90-5.fc12
Comment 7 Fedora Update System 2010-02-24 01:15:40 EST
libselinux-2.0.90-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libselinux'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-2787
Comment 8 Fedora Update System 2010-03-02 21:03:14 EST
libselinux-2.0.90-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.